<template>
  <div id="app">
    <Navigation></Navigation>
    <transition name="page" mode="out-in">
      <router-view></router-view>
    </transition>
  </div>
</template>

<script>
import Navigation from '@/components/Navigation.vue';

export default {
  name: 'App',
  components: {
    Navigation,
  },
  created() {
    this.$store.dispatch('loadHotelData');
  },
};
</script>

<style lang="scss">
html {
  box-sizing: border-box;
  // font-size: 100%;
}

*,
*::before,
*::after {
  box-sizing: inherit;
}

/* ------- DEFAULT STYLES RESET ------- */
body,
p {
  margin: 0;
}

a {
  color: inherit;
  text-decoration: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  font-size: inherit;
  font-weight: inherit;
}

form {
  display: inherit;
}

/* ------- GLOBAL AND FALLBACK STYLES ------- */
body {
  background-color: $background-light;
}

#app {
  @include font-roboto(null, $gray-text);
  max-width: 1250px;
  margin: auto;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* ------- ROUTE CHANGE ANIMATIONS ------- */
.page-enter-active,
.page-leave-active {
  transition: opacity 0.2s ease-out, transform 0.2s ease-out;
}

// The view that is leaving
.page-leave-to {
  opacity: 0;
  transform: translateX(3%);
}

// The view that is entering
.page-enter {
  opacity: 0;
  transform: translateX(-3%);
}
</style>
